## r-cran-findpython 1.0.7

=== DESCRIPTION ===
Package: findpython
Type: Package
Title: Functions to Find an Acceptable Python Binary
Version: 1.0.7
Authors@R: c(person("Trevor L", "Davis", role=c("aut", "cre"), email="trevor.l.davis@gmail.com"),
        person("Paul", "Gilbert", role="aut"))
URL: https://github.com/trevorld/findpython
BugReports: https://github.com/trevorld/findpython/issues
Description: Package designed to find an acceptable python binary.
Suggests: reticulate, testthat
License: MIT + file LICENSE
Collate: 'find_python_cmd.r'
RoxygenNote: 7.0.0
NeedsCompilation: no
Packaged: 2021-01-26 06:30:09 UTC; trevorld
Author: Trevor L Davis [aut, cre],
  Paul Gilbert [aut]
Maintainer: Trevor L Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2021-01-27 08:20:02 UTC

## r-cran-findpython 1.0.5

=== debian/changelog ===
r-cran-findpython (1.0.5-3) unstable; urgency=medium

  * Adjust tests dependencies.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 19 Jul 2020 16:32:57 +0200

r-cran-findpython (1.0.5-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Recommends python3 or python

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 24 Jun 2020 11:03:38 +0200

r-cran-findpython (1.0.5-1) unstable; urgency=medium

  * Initial release (closes: #958952)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 26 Apr 2020 23:56:35 +0200

=== debian/control ===
Source: r-cran-findpython
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-findpython
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-findpython.git
Homepage: https://cran.r-project.org/package=findpython
Rules-Requires-Root: no

Package: r-cran-findpython
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}, python3 | python
Suggests: ${R:Suggests}
Description: GNU R functions to find an acceptable Python binary
 This GNU R package is designed to find an acceptable Python
 binary.  It is possible to specify a minimum and a maximum Python
 version as well as specifying needed Python modules.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, python3, python
Restrictions: allow-stderr

## r-cran-findpython 1.0.7

=== debian/changelog ===
r-cran-findpython (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 31 Jan 2021 16:29:30 +0530

r-cran-findpython (1.0.5-4) unstable; urgency=medium

  * Team upload.
  * Drop python from alternatives
    Closes: #965288, #967038

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2020 11:29:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-findpython
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-findpython.git
 Homepage: https://cran.r-project.org/package=findpython
@@ -17,7 +17,7 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends}
-Recommends: ${R:Recommends}, python3 | python
+Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R functions to find an acceptable Python binary
  This GNU R package is designed to find an acceptable Python

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, python3
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/findpython_([-\d.]*)\.tar\.gz

## r-cran-findpython 1.0.8

=== debian/changelog ===
r-cran-findpython (1.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2023 14:18:31 +0200

=== debian/control ===
Source: r-cran-findpython
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-findpython
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-findpython.git
Homepage: https://cran.r-project.org/package=findpython
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-findpython
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R functions to find an acceptable Python binary
 This GNU R package is designed to find an acceptable Python
 binary.  It is possible to specify a minimum and a maximum Python
 version as well as specifying needed Python modules.

## r-cran-findpython 1.0.9

=== DESCRIPTION ===
Package: findpython
Type: Package
Title: Functions to Find an Acceptable Python Binary
Version: 1.0.9
Authors@R: c(person("Trevor L.", "Davis", role=c("aut", "cre"),
             email="trevor.l.davis@gmail.com",
             comment = c(ORCID = "0000-0001-6341-4639")),
        person("Paul", "Gilbert", role="aut"))
URL: https://github.com/trevorld/findpython,
        https://trevorldavis.com/R/findpython/
BugReports: https://github.com/trevorld/findpython/issues
Description: Package designed to find an acceptable python binary.
Suggests: reticulate, testthat
License: MIT + file LICENSE
Collate: 'find_python_cmd.r'
RoxygenNote: 7.3.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-11-18 18:24:09 UTC; trevorld
Author: Trevor L. Davis [aut, cre] (<https://orcid.org/0000-0001-6341-4639>),
  Paul Gilbert [aut]
Maintainer: Trevor L. Davis <trevor.l.davis@gmail.com>
Repository: CRAN
Date/Publication: 2024-11-19 06:50:06 UTC

=== debian/changelog ===
r-cran-findpython (1.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 10:57:43 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-findpython
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-findpython.git
 Homepage: https://cran.r-project.org/package=findpython
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-reticulate,
        r-cran-testthat,
        python3
Restrictions: allow-stderr
